Retrieves all the equipment_brand objects

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

equipment_brand
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the equipment brand

string

Required

Max length: 50

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "31647d1e-3f64-4e75-a269-488051e9c96f",
  "name": "sample string 2",
  "code": "sample string 3",
  "sales_organization_id": "8d477b7f-63cc-45e5-9e5a-ad44d50c929b",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "dd79bf45-9cfa-48a0-bb8b-1d1ce8dc1259",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "0762ad44-c435-4dc1-b54d-a730235cfe9b",
    "db_currency_id": "d2b30c3c-3014-4528-902b-be953ec90733",
    "db_language_id": "04503b10-8a6e-47fd-a980-1dcbf2eb48d2",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-06-13T03:59:20.4255926+00:00"
  },
  "modified_dateutc": "2026-06-13T03:59:20.4456318+00:00"
}